# Mattermost Logger

A Drupal module that integrates with Mattermost to log messages from the Drupal logging system.
Choose which logging channels to send to Mattermost and set the logging levels for each channel.

## Features

- Hooks into Drupal's logger service.
- Supports multiple logging channels.
- Configurable logging levels per channel.
- Allows setting a unique webhook per channel or default to a default webhook.
- Displays messages with color-coded indicators in Mattermost.

## Configuration

- Navigate to `/admin/config/services/mattermost-logger/settings`.
- Add drupal logging channels and their corresponding webhooks.
- Select the logging levels for each channel.

## Usage

- The module automatically logs messages based on the configured channels and levels.
- Developers can use the `MattermostLogger` service manually:
  - For example:
    ```php
    \Drupal::service('mattermost_logger')->error('my_module', 'My error message');
    ```
